package main;

public class Exposant extends OperateurBinaire implements Expression {

	Exposant( Expression fg, Expression fd) {
		super(fg,fd);
	}
	
	@Override
	public double calculer(int var) {
		return Math.pow( getFg().calculer(var), getFd().calculer(var));
	}

	@Override
	public String ToString() {
		String chaine = "(" + getFg().ToString() + "^" + getFd().ToString() + ")";
		return chaine;
	}
}
